/*
 * SaturationDistanceMaximizerUnitTest.hpp
 *
 *  Created on: Jul 28, 2014
 *      Author: heber
 */

#ifndef SATURATIONDISTANCEMAXIMIZERUNITTEST_HPP_
#define SATURATIONDISTANCEMAXIMIZERUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

#include "Fragmentation/Exporters/SaturationDistanceMaximizer.hpp"

#include <vector>

class atom;

/********************************************** Test classes **************************************/

class SaturationDistanceMaximizerTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( SaturationDistanceMaximizerTest) ;
    CPPUNIT_TEST ( identityTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void identityTest();

private:
      std::vector<atom *> atomVector;
      static size_t MaxAtoms;
};

#endif /* SATURATIONDISTANCEMAXIMIZERUNITTEST_HPP_ */
